Page MenuHomePhabricator

Fix std unique pointer not printing.
ClosedPublic

Authored by alexandreyy on Mar 2 2018, 7:31 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

alexandreyy created this revision.Mar 2 2018, 7:31 AM
labath added inline comments.Mar 3 2018, 5:42 PM
source/Plugins/Language/CPlusPlus/LibStdcppUniquePointer.cpp
65–76 ↗(On Diff #136749)

This is somewhat nitpicky, but I think we should rename the tuple_sp variable, as in your case, it will not actually hold a tuple (it is some unique_ptr_impl object, IIRC). So, it should have some neutral name, and once you have the actual tuple object, then call it a "tuple". Feel free to move this code into a GetTuple() function or something...

Also, we prefer c++-style comments (//).

alexandreyy updated this revision to Diff 137022.EditedMar 5 2018, 9:11 AM

Implemented GetTuple and moved code to get tuple pointer.

alexandreyy marked an inline comment as done.Mar 5 2018, 9:13 AM
labath added a comment.Mar 6 2018, 1:45 AM

Pretty close, just a couple of style issues.

source/Plugins/Language/CPlusPlus/LibStdcppUniquePointer.cpp
62 ↗(On Diff #137022)

nullptr.

78 ↗(On Diff #137022)

no else after return

Changed NULL pointer

alexandreyy marked 2 inline comments as done.Mar 6 2018, 4:22 AM
labath accepted this revision.Mar 6 2018, 4:37 AM
This revision is now accepted and ready to land.Mar 6 2018, 4:37 AM
clayborg accepted this revision.Mar 6 2018, 7:28 AM

Thanks, @labath @clayborg .
@labath Could you please commit this patch?

This revision was automatically updated to reflect the committed changes.